%global gitname	sony_fpga
%{!?kernel_version:%{expand:%%global kernel_version 4.18.0-477.21.1.el8_8.x86_64
}}

Name:           ulm-%{gitname}
Version:        2.10_20
Release:        1%{?dist}
Summary:        Sony ULM FPGA kernel module and loader

License:        GPLv2
URL:            git@ulm-git.vsp.cpg.sony.co.jp:ulm/system/drivers/%{gitname}

BuildRequires:  %kernel_module_package_buildreqs
BuildRequires:  kernel-devel = %(echo %{kernel_version} | sed 's/\.[^\.]*$//')
BuildRequires:  nvidia-driver-src

%description
FPGA kernel module and loader for Sony Universal Live Module.


%global debug_package %{nil}
%define tag     V%(echo %{version} | %{__sed} 's/\\.//g')

%prep
%setup -T -c
/usr/bin/git clone --branch %{tag} --recurse-submodules %{url}.git .


%build
%make_build KERNELDIR=/lib/modules/%{kernel_version}/build


%install
%make_install KERNELDIR=/lib/modules/%{kernel_version}/build


%files
%license COPYING
%doc README.md
%{_bindir}/*
/sony/ulm/drivers


%changelog
* Tue Oct 31 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_20
- Release Version: 2.10_20

* Tue Oct 10 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_17
- Release Version: 2.10_17

* Tue Oct 03 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_16
- Release Version: 2.10_16

* Mon Sep 11 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_13A
- Release Version: 2.10_13A

* Thu Sep  7 2023 Takeo Ugai <Takeo.Ugai@sony.com> - 2.10_13-1
- for kernel-4.18.0-477.21.1.el8_8.x86_64.

* Tue Aug 01 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_9
- Release Version: 2.10_9

* Tue Jul 11 2023 Takeo Ugai <Takeo.Ugai@sony.com> - 2.10_7A-1
- for kernel-4.18.0-477.15.1.el8_8.x86_64.
- building the specified kernel version.

* Tue Jun 06 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_5
- Release Version: 2.10_5

* Fri May 26 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_4
- Release Version: 2.10_4

* Mon May 08 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_3
- Release Version: 2.10_3

* Tue Apr 18 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_2
- Release Version: 2.10_2

* Tue Apr 04 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.10_1
- Release Version: 2.10_1

* Thu Feb 09 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_27A
- Release Version: 2.00_27A

* Mon Jan 23 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_25
- Release Version: 2.00_25

* Tue Jan 17 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_24
- Release Version: 2.00_24

* Tue Nov 01 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_14
- Release Version: 2.00_14

* Tue Oct 25 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_13
- Release Version: 2.00_13

* Wed Oct 19 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_12
- Release Version: 2.00_12

* Tue Oct 04 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_10A
- Release Version: 2.00_10A

* Mon Oct 03 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_10
- Release Version: 2.00_10

* Mon Sep 26 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_9
- Release Version: 2.00_9

* Mon Sep 12 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_8
- Release Version: 2.00_8

* Thu Sep 01 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_7
- Release Version: 2.00_7

* Tue Aug 30 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_6A
- Release Version: 2.00_6A

* Fri Aug 19 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_6
- Release Version: 2.00_6

* Fri Aug 05 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_5B
- Release Version: 2.00_5B

* Thu Jul 14 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_4
- Release Version: 2.00_4

* Thu Jun 30 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_3
- Release Version: 2.00_3

* Wed Jun 22 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_2A
- Release Version: 2.00_2A

* Thu Jun 16 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_2
- Release Version: 2.00_2

* Mon Jun 06 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1H2
- Release Version: 2.00_1H2

* Wed Jun 01 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1H1
- Release Version: 2.00_1H1

* Fri May 27 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1H
- Release Version: 2.00_1H

* Mon May 16 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1G1
- Release Version: 2.00_1G1

* Thu Apr 21 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1G
- Release Version: 2.00_1G

* Fri Apr 08 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1F1
- Release Version: 2.00_1F1

* Thu Mar 10 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1E
- Release Version: 2.00_1E

* Thu Feb 24 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1D2
- Release Version: 2.00_1D2

* Wed Feb 09 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1D1
- Release Version: 2.00_1D1

* Fri Jan 28 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1D
- Release Version: 2.00_1D

* Fri Dec 17 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1C
- Release Version: 2.00_1C

* Tue Dec 7 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1B2
- Release Version 2.00_1B2

* Fri Nov 19 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1B
- Rebuild CentOS8.4: 2.00_1B

* Fri Nov 05 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_1A
- Release Version: 2.00_1A

* Thu Oct 28 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.10_3
- Rebuild CentOS8.4: 1.10_3

* Tue Sep 21 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.01_4
- Release Version: 1.01_4

* Wed Sep 08 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.01_3
- Release Version: 1.01_3

* Wed Aug 04 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_36
- Release Version: 1.00_36

* Tue Aug 03 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_35
- Release Version: 1.00_35

* Sun Jul 18 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_32
- Release Version: 1.00_32

* Sun Jul 11 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_31
- Release Version: 1.00_31

* Sun Jun 27 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_29
- Release Version: 1.00_29

* Thu Jun 24 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_28TEST
- Release Version: 1.00_28TEST

* Sun Jun 13 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_27
- Release Version: 1.00_27

* Thu Jun 10 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_26TEST
- Release Version: 1.00_26TEST

* Mon May 31 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_25
- Release Version: 1.00_25

* Thu May 27 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_24A
- Release Version: 1.00_24A

* Sun May 23 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_24
- Release Version: 1.00_24

* Sun May 16 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_23
- Release Version: 1.00_23

* Sun May 09 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_22
- Release Version: 1.00_22

* Thu May 06 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_21B
- Release Version: 1.00_21B

* Sun Apr 25 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_21
- Release Version: 1.00_21

* Thu Apr 22 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_20TEST
- Release Version: 1.00_20TEST

* Sun Apr 11 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_20
- Release Version: 1.00_20

* Fri Mar 26 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_19
- Release Version: 1.00_19

* Thu Mar 25 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_18TEST
- Release Version: 1.00_18TEST

* Fri Mar 12 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_18
- Release Version: 1.00_18

* Thu Mar 11 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_17TEST
- Release Version: 1.00_17TEST

* Mon Mar 1 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_17
- Release Version: 1.00_17

* Thu Feb 4 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_16
- add GPU Disable Version: 1.00_16

* Tue Dec 15 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_13
- Release Version: 1.00_13

* Thu Nov 26 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_12
- Release Version: 1.00_12

* Mon Nov 16 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_11
- Release Version: 1.00_11

* Wed Sep 23 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_7
- Release Version: 1.00_7

* Mon Sep 7 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_6
- Release Version: 1.00_6

* Thu Aug 6 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_4A
- Release Version: 1.00_4A

* Wed Aug 5 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_4
- Release Version: 1.00_4

* Wed Jul 15 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00-2A
- Release Version: 1.00_2A

* Fri Jul  3 2020 Satoru Matsuo <Satoru.x.Matsuo@sony.com> - 1.00_2
- add SONY_FPGA_READ_FRAME_CNT(ioctl).

* Wed Jun 17 2020 Chiharu Sakai <Chiharu.Sakai@sony.com> - 1.00_1A
- change version, and use ssh for git clone.

* Fri Apr  3 2020 Takeo Ugai <Takeo.Ugai@sony.com> - 0.01-2
- do not build kmod package.

* Thu Apr  2 2020 Takeo Ugai <Takeo.Ugai@sony.com> - 0.01-1
- Initial build
